/**
 * @(#)		buildList.java
 * @author 	Ken Flurchick <kenf@osc.edu>
 * Date:	03/09/2000
 * Purpose:	Build the classRegitration.xml file which
 *			keeps track of registered students.
 * @version 	1.00
 *
 * Required Classes:
 *		parseFile
 */

import com.ibm.xml.*;
import com.ibm.xml.parser.*;
import com.ibm.xml.parsers.*;
import com.ibm.xml.parser.TXDocument;
import org.w3c.dom.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Text;
import org.w3c.dom.ProcessingInstruction;

import java.text.*;
import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.Vector;
import java.util.Arrays.*;
import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.border.*;

/**
 * Class: buildList
 * <p>
 * This program will generate the classRegister XML file.
 * </p>
 *
 */
public class buildList{
/**
 * Constructor: buildList
 * @param		None
 * @return		None
 * @throws		None
 *
 */
	public void buildList(){
		String[] students;
		String name;
		String defaultPFilter	= ".";
		String rsPath =  defaultPFilter + File.separator;
		String rsFile = rsPath + "classRegister.xml";
		File here = new File(".");

		// System.out.println("ruFile = " + ruFile);

		students = here.list();

		String f1 = "MM  dd  yyyy  hh  mm";
		String f2 = "MM/dd/yyyy  hh:mm";
		SimpleDateFormat in = new SimpleDateFormat(f1);
		SimpleDateFormat out = new SimpleDateFormat(f2);

 		Calendar cal = Calendar.getInstance();
		String datestring = (
			  cal.get(Calendar.MONTH) + 1) + "  "
			+ cal.get(Calendar.DAY_OF_MONTH) + "  "
			+ cal.get(Calendar.YEAR) + "  "
			+ cal.get(Calendar.HOUR) + "  "
			+ cal.get(Calendar.MINUTE);
		Date curr = in.parse(datestring);

		try{
			PrintWriter rsFileOut = new PrintWriter(
				new FileWriter(rsFile, false));
			rsFileOut("
			for(int i = 0; i < students.length; i++){
				name = students[i];
				System.out.println("File number " + i
						+ "  has name  " + name);
				try{
					BufferedReader studentFile = new BufferedReader(
						new FileReader(name));
					System.out.println("Reading from " + name);
					String Line1 = studentFile.readLine();
					if(i == 0) rsFileOut.println(Line1);
			    	studentFile.close();
			 	} // End of try block for studentFile.
			    catch(IOException e){
					System.out.println("Error opening studentFile.");
					System.exit(0);
				}
			}
		} // End of try block for rsFileOut.
		catch(IOException e){
			System.out.println("Error opening ruFileOut.");
			System.exit(0);
		}


	}
/**
 * Method: 	main
 * <P>
 * Instantiate the buildList class.
 * </P>
 * @param	String args[]
 * @return	None
 * @throws	None
 *
 */
	public static void main(String args[]) {
		buildList bU = new buildList();
		bU.buildList();
	} // End of main method.
} // End of buildList class.